edu.northwestern.at.morphadorner.tei

## Class BibadornedInfo

- java.lang.Object
- - edu.northwestern.at.morphadorner.tei.BibadornedInfo

-     public class BibadornedInfo
      extends java.lang.Object

  Extract selected "monkHeader" information from a MorphAdorned file.

  The "monkHeader" was a custom extension to the TEI XML format used by the Monk project.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<TEIHeaderAuthor>` | `authorList` List of authors.
    `protected java.util.Map<java.lang.String,java.lang.String>` | `authorMap` Current author map.
    `protected java.lang.String` | `availability` Availability.
    `protected java.lang.String` | `circulationYear` Circulation year.
    `protected java.lang.String` | `fileName`
    `protected java.lang.String` | `genre` Genre.
    `protected boolean` | `inMonkHeader` True if in Monk header.
    `protected boolean` | `monkHeaderFound` True if Monk header found.
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `subgenre` Subgenre.
    `protected java.lang.String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BibadornedInfo(java.lang.String bibadornedXMLFile)` Get Bibadorned bibliographic information.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TEIHeaderAuthor>` | `getAuthors()` Return author list.
    `java.lang.String` | `getAvailability()` Get availability.
    `java.lang.String` | `getCirculationYear()` Get circulation yeaar.
    `java.lang.String` | `getFileName()` Get file name.
    `java.lang.String` | `getGenre()` Get genre.
    `boolean` | `getMonkHeaderFound()` Check if Monk header found.
    `java.lang.String` | `getSubgenre()` Get subgenre.
    `java.lang.String` | `getTitle()` Get title.
    `void` | `parseXML(java.lang.String xmlFile)` Parse input file looking for Monk header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fileName

          protected java.lang.String fileName

    - #### title

          protected java.lang.String title

    - #### name

          protected java.lang.String name

    - #### circulationYear

          protected java.lang.String circulationYear

      Circulation year.

    - #### genre

          protected java.lang.String genre

      Genre.

    - #### subgenre

          protected java.lang.String subgenre

      Subgenre.

    - #### availability

          protected java.lang.String availability

      Availability.

    - #### inMonkHeader

          protected boolean inMonkHeader

      True if in Monk header.

    - #### monkHeaderFound

          protected boolean monkHeaderFound

      True if Monk header found.

    - #### authorList

          protected java.util.List<TEIHeaderAuthor> authorList

      List of authors.

    - #### authorMap

          protected java.util.Map<java.lang.String,java.lang.String> authorMap

      Current author map.

  - ### Constructor Detail

    - #### BibadornedInfo

          public BibadornedInfo(java.lang.String bibadornedXMLFile)

      Get Bibadorned bibliographic information.
      Parameters:
        `bibadornedXMLFile` - The bibadorned XML file.

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

      Get file name.
      Returns:
        The work's file name.

    - #### getTitle

          public java.lang.String getTitle()

      Get title.
      Returns:
        The work's title.

    - #### getAuthors

          public java.util.List<TEIHeaderAuthor> getAuthors()

      Return author list.
      Returns:
        authorList List of author maps.

    - #### getGenre

          public java.lang.String getGenre()

      Get genre.
      Returns:
        Genre of work.

    - #### getSubgenre

          public java.lang.String getSubgenre()

      Get subgenre.
      Returns:
        Subgenre of work.

    - #### getCirculationYear

          public java.lang.String getCirculationYear()

      Get circulation yeaar.
      Returns:
        Circulation year.

    - #### getAvailability

          public java.lang.String getAvailability()

      Get availability.
      Returns:
        Availability of work.

    - #### getMonkHeaderFound

          public boolean getMonkHeaderFound()

      Check if Monk header found.
      Returns:
        true if Monk header seen, false otherwise.

    - #### parseXML

          public void parseXML(java.lang.String xmlFile)

      Parse input file looking for Monk header.
      Parameters:
        `xmlFile` - The XML file name to parse.